PKG_SUBST(1)

NAME
pkg_subst - substitute variables' values in files

SYNOPSIS
pkg_subst [-ci] [-B basedir] [-D name[=value]] [-g group] [-m mode] [-o owner] [file ...]

DESCRIPTION
pkg_subst is used within the ports tree to substitute variable values, using the exact same conventions used by pkg_create(1). Constructs like ${VAR} will be replaced with the variable value, according to -D name[=value] options.

The options are as follows

-B basedir
    Specify a basedir in which we know file properties. It is forbidden to copy files from elsewhere without -m mode.

-c  Copy and substitute. Number of file arguments must be even. They are paired as src1 dest1, src2 dest2 ... and each src file is substituted and copied into the corresponding dest file.

    -D name[=value] Define name to value, or to 1 if no value is given.

-g group
    Change group of destination file to group.

-i  Ignore changes to group or owner that failed.

-m mode
    Change mode of destination file to mode.

-o owner
    Change owner of destination file to owner.

If no file arguments is given, pkg_subst acts as a filter from stdin to stdout.

Without -c, each file is backed up as file.beforesubst before the substitution occurs.

SEE ALSO
install(1), pkg_create(1)